import { jsx as e } from "react/jsx-runtime";
import x from "@mui/material/Tooltip";
import i from "@mui/material/Box";
function a({
  title: l,
  content: n,
  variant: o = "default",
  placement: p = "top",
  delay: r,
  children: s
}) {
  const t = l ?? n ?? "";
  return /* @__PURE__ */ e(
    x,
    {
      title: o === "code" ? /* @__PURE__ */ e(
        i,
        {
          sx: {
            fontFamily: "var(--ov-font-mono)",
            fontSize: "var(--ov-text-xs)",
            bgcolor: "var(--ov-bg-surface-inset)",
            px: 1,
            py: 0.5,
            borderRadius: "3px"
          },
          children: t
        }
      ) : o === "rich" ? /* @__PURE__ */ e(i, { sx: { p: 1, maxWidth: 320 }, children: t }) : t,
      placement: p,
      enterDelay: r,
      enterNextDelay: r,
      arrow: o === "default",
      children: s
    }
  );
}
a.displayName = "Tooltip";
export {
  a as T
};
